Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Buckminster » Import-Package(Does buckminster support OSGI dependecies with Import-Package?)
Import-Package [message #516477] Wed, 24 February 2010 07:49 Go to next message
cagire  is currently offline cagire Friend
Messages: 2
Registered: October 2009
Junior Member
Hi,
Could you tell me if buckminster supports OSGI dependecies with Import-Package?
I read documentation, forum ...but i don't understand if it supports Import-Package declaration.
Thanks

Sorry for my poor english.
Re: Import-Package [message #516527 is a reply to message #516477] Wed, 24 February 2010 06:04 Go to previous messageGo to next message
Thomas Hallgren is currently offline Thomas HallgrenFriend
Messages: 3240
Registered: July 2009
Senior Member
Buckminster doesn't care about the Import-Package clause. It delegates such concerns to the compiler or the runtime.

The Import-Package is not used in resolutions. If that is the only dependencies that you have, then you must define some
higher order entity that defines the resolution scope (i.e. a feature or a cspec).

HTH,
- thomas


On 02/24/2010 08:49 AM, cagire wrote:
> Hi,
> Could you tell me if buckminster supports OSGI dependecies with
> Import-Package?
> I read documentation, forum ...but i don't understand if it supports
> Import-Package declaration.
> Thanks
>
> Sorry for my poor english.
icon7.gif  Re: Import-Package [message #516572 is a reply to message #516527] Wed, 24 February 2010 12:42 Go to previous message
cagire  is currently offline cagire Friend
Messages: 2
Registered: October 2009
Junior Member
Thanks for your answer, it's very usefull

Thomas Hallgren wrote on Wed, 24 February 2010 01:04
Buckminster doesn't care about the Import-Package clause. It delegates such concerns to the compiler or the runtime.

The Import-Package is not used in resolutions. If that is the only dependencies that you have, then you must define some
higher order entity that defines the resolution scope (i.e. a feature or a cspec).

HTH,
- thomas


On 02/24/2010 08:49 AM, cagire wrote:
> Hi,
> Could you tell me if buckminster supports OSGI dependecies with
> Import-Package?
> I read documentation, forum ...but i don't understand if it supports
> Import-Package declaration.
> Thanks
>
> Sorry for my poor english.

Previous Topic:junit command fails with 'Process {0} terminated with exit status {1}' for 'Junit Plug-in Test'
Next Topic:buckminster invoke action... Dialog
Goto Forum:
  


Current Time: Sun Jul 25 09:11:52 GMT 2021

Powered by FUDForum. Page generated in 0.01229 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top